
package com.okbuddy.store;

import com.google.firebase.database.PropertyName;

public class Order {
    @PropertyName("iCompanyId")
    private String iCompanyId;

    private String firebaseKey;

    @PropertyName("TableName")
    private String TableName;

    @PropertyName("OrderStatus")
    private String OrderStatus;

    @PropertyName("OrderTime")
    private long OrderTime;

    @PropertyName("cartItems")
    private String cartItems;

    public Order() {
        // Default constructor required for calls to DataSnapshot.getValue(Order.class)
    }
    public String getFirebaseKey() {
        return firebaseKey;
    }

    public void setFirebaseKey(String firebaseKey) {
        this.firebaseKey = firebaseKey;
    }

    public Order(String iCompanyId, String TableName, String OrderStatus, long OrderTime, String cartItems) {
        this.iCompanyId = iCompanyId;
        this.TableName = TableName;
        this.OrderStatus = OrderStatus;
        this.OrderTime = OrderTime;
        this.cartItems = cartItems;
    }

    public String getICompanyId() {
        return iCompanyId;
    }

    public String getTableName() {
        return TableName;
    }

    public String getOrderStatus() {
        return OrderStatus;
    }

    public long getOrderTime() {
        return OrderTime;
    }

    public String getCartItems() {
        return cartItems;
    }

    // Make sure to override toString() for debugging
    @Override
    public String toString() {
        return "Order{" +
                "iCompanyId='" + iCompanyId + '\'' +
                ", TableName='" + TableName + '\'' +
                ", OrderStatus='" + OrderStatus + '\'' +
                ", OrderTime=" + OrderTime +
                ", cartItems='" + cartItems + '\'' +
                ", firebaseKey='" + firebaseKey + '\'' +
                '}';
    }
}