/*
package com.adapter.files;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentPagerAdapter;

import com.fragments.OrderStatusFragment;

public class OrderStatusPagerAdapter extends FragmentPagerAdapter {

    private String iCompanyId;  // Corrected the variable name
    private String[] tabTitles = new String[]{"Pending", "Preparing", "Ready", "Given"};

    public OrderStatusPagerAdapter(@NonNull FragmentManager fm, String companyId) {
        super(fm);
        this.iCompanyId = companyId;  // Corrected the variable name
    }

    @NonNull
    @Override
    public Fragment getItem(int position) {
        return OrderStatusFragment.newInstance(tabTitles[position], iCompanyId);  // Corrected the variable name
    }

    @Override
    public int getCount() {
        return tabTitles.length;
    }

    @Override
    public CharSequence getPageTitle(int position) {
        return tabTitles[position];
    }
}
*/
