/*
package com.okbuddy.store;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import java.util.List;

public class QRCodeAdapter extends RecyclerView.Adapter<QRCodeAdapter.QRCodeViewHolder> {

    private final List<QRCodeModel> qrCodeModelList;

    public QRCodeAdapter(List<QRCodeModel> qrCodeModelList) {
        this.qrCodeModelList = qrCodeModelList;
    }

    @NonNull
    @Override
    public QRCodeViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View itemView = LayoutInflater.from(parent.getContext()).inflate(R.layout.qr_code_item, parent, false);
        return new QRCodeViewHolder(itemView);
    }

    @Override
    public void onBindViewHolder(@NonNull QRCodeViewHolder holder, int position) {
        QRCodeModel qrCodeModel = qrCodeModelList.get(position);
        holder.tvTableName.setText(qrCodeModel.getTableName());
        holder.tvItemIds.setText(qrCodeModel.getItemsIds());
    }

    @Override
    public int getItemCount() {
        return qrCodeModelList.size();
    }

    public static class QRCodeViewHolder extends RecyclerView.ViewHolder {
        private final TextView tvTableName;
        private final TextView tvItemIds;

        public QRCodeViewHolder(@NonNull View itemView) {
            super(itemView);
            tvTableName = itemView.findViewById(R.id.tvTableName);
            tvItemIds = itemView.findViewById(R.id.tvItemIds);
        }
    }
}*/
